Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.daohib.bpel.hobj
Class HLargeData

    java.lang.Object
      org.apache.ode.daohib.bpel.hobj.HObject
          org.apache.ode.daohib.bpel.hobj.HLargeData

    public class HLargeData

extends HObject

Used to store large data sets into a single table. When an HObject instance needs to store as part of its state large binary or text data, a reference to an instance of this class must be created.

Field Summary
`static java.lang.String` | `DELETE_ACTIVITY_RECOVERY_LDATA_BY_PROCESS`
`static java.lang.String` | `DELETE_EVENT_LDATA_BY_INSTANCE`
`static java.lang.String` | `DELETE_EVENT_LDATA_BY_PROCESS`
`static java.lang.String` | `DELETE_FAULT_LDATA_BY_INSTANCE_ID`
`static java.lang.String` | `DELETE_FAULT_LDATA_BY_PROCESS`
`static java.lang.String` | `DELETE_JACOB_LDATA_BY_PROCESS`
`static java.lang.String` | `DELETE_MESSAGE_LDATA_BY_MEX`
`static java.lang.String` | `DELETE_MESSAGE_LDATA_BY_PROCESS`
`static java.lang.String` | `DELETE_MEX_LDATA_BY_PROCESS`
`static java.lang.String` | `DELETE_PARTNER_LINK_LDATA_BY_INSTANCE`
`static java.lang.String` | `DELETE_PARTNER_LINK_LDATA_BY_PROCESS`
`static java.lang.String` | `DELETE_UNMATCHED_MESSAGE_LDATA_BY_INSTANCE`
`static java.lang.String` | `DELETE_XMLDATA_LDATA_BY_INSTANCE`
`static java.lang.String` | `DELETE_XMLDATA_LDATA_BY_PROCESS`

Constructor Summary
`HLargeData()`
`HLargeData(byte[] binary)`
`HLargeData(java.lang.String text)`

Method Summary
`byte[]` | `getBinary()`
`java.lang.String` | `getText()`
`void` | `setBinary(byte[] binary)`

Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject
`getCreated, getId, getLock, setCreated, setId, setLock, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DELETE_EVENT_LDATA_BY_PROCESS

    public static final java.lang.String DELETE_EVENT_LDATA_BY_PROCESS

See Also:
  Constant Field Values

### DELETE_XMLDATA_LDATA_BY_PROCESS

    public static final java.lang.String DELETE_XMLDATA_LDATA_BY_PROCESS

See Also:
  Constant Field Values

### DELETE_ACTIVITY_RECOVERY_LDATA_BY_PROCESS

    public static final java.lang.String DELETE_ACTIVITY_RECOVERY_LDATA_BY_PROCESS

See Also:
  Constant Field Values

### DELETE_FAULT_LDATA_BY_PROCESS

    public static final java.lang.String DELETE_FAULT_LDATA_BY_PROCESS

See Also:
  Constant Field Values

### DELETE_JACOB_LDATA_BY_PROCESS

    public static final java.lang.String DELETE_JACOB_LDATA_BY_PROCESS

See Also:
  Constant Field Values

### DELETE_PARTNER_LINK_LDATA_BY_PROCESS

    public static final java.lang.String DELETE_PARTNER_LINK_LDATA_BY_PROCESS

See Also:
  Constant Field Values

### DELETE_MESSAGE_LDATA_BY_PROCESS

    public static final java.lang.String DELETE_MESSAGE_LDATA_BY_PROCESS

See Also:
  Constant Field Values

### DELETE_MEX_LDATA_BY_PROCESS

    public static final java.lang.String DELETE_MEX_LDATA_BY_PROCESS

See Also:
  Constant Field Values

### DELETE_EVENT_LDATA_BY_INSTANCE

    public static final java.lang.String DELETE_EVENT_LDATA_BY_INSTANCE

See Also:
  Constant Field Values

### DELETE_MESSAGE_LDATA_BY_MEX

    public static final java.lang.String DELETE_MESSAGE_LDATA_BY_MEX

See Also:
  Constant Field Values

### DELETE_UNMATCHED_MESSAGE_LDATA_BY_INSTANCE

    public static final java.lang.String DELETE_UNMATCHED_MESSAGE_LDATA_BY_INSTANCE

See Also:
  Constant Field Values

### DELETE_XMLDATA_LDATA_BY_INSTANCE

    public static final java.lang.String DELETE_XMLDATA_LDATA_BY_INSTANCE

See Also:
  Constant Field Values

### DELETE_PARTNER_LINK_LDATA_BY_INSTANCE

    public static final java.lang.String DELETE_PARTNER_LINK_LDATA_BY_INSTANCE

See Also:
  Constant Field Values

### DELETE_FAULT_LDATA_BY_INSTANCE_ID

    public static final java.lang.String DELETE_FAULT_LDATA_BY_INSTANCE_ID

See Also:
  Constant Field Values

Constructor Detail

### HLargeData

    public HLargeData()

### HLargeData

    public HLargeData(byte[] binary)

### HLargeData

    public HLargeData(java.lang.String text)

Method Detail

### getBinary

    public byte[] getBinary()

### setBinary

    public void setBinary(byte[] binary)

### getText

    public java.lang.String getText()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD